osmium::index::map Namespace Reference

Key-value containers with unique integer values for a key. More...

## Classes

struct | create_map
struct | create_map< TId, TValue, DenseFileArray >
struct | create_map< TId, TValue, SparseFileArray >
class | Dummy
class | Map
class | SparseMemMap

## Typedefs

template<typename TId , typename TValue >
using | DenseFileArray = VectorBasedDenseMap< osmium::detail::mmap_vector_file< TValue >, TId, TValue >
template<typename TId , typename TValue >
using | DenseMemArray = VectorBasedDenseMap< std::vector< TValue >, TId, TValue >
template<typename TId , typename TValue >
using | DenseMmapArray = VectorBasedDenseMap< osmium::detail::mmap_vector_anon< TValue >, TId, TValue >
template<typename TId , typename TValue >
using | SparseFileArray = VectorBasedSparseMap< TId, TValue, osmium::detail::mmap_vector_file >
template<typename T >
using | StdVectorWrap = std::vector< T >
template<typename TId , typename TValue >
using | SparseMemArray = VectorBasedSparseMap< TId, TValue, StdVectorWrap >
template<typename TId , typename TValue >
using | SparseMmapArray = VectorBasedSparseMap< TId, TValue, osmium::detail::mmap_vector_anon >

## Detailed Description

Key-value containers with unique integer values for a key.

## Typedef Documentation

template<typename TId , typename TValue >

using osmium::index::map::DenseFileArray = typedef VectorBasedDenseMap<osmium::detail::mmap_vector_file<TValue>, TId, TValue>

template<typename TId , typename TValue >

using osmium::index::map::DenseMemArray = typedef VectorBasedDenseMap<std::vector<TValue>, TId, TValue>

template<typename TId , typename TValue >

using osmium::index::map::DenseMmapArray = typedef VectorBasedDenseMap<osmium::detail::mmap_vector_anon<TValue>, TId, TValue>

template<typename TId , typename TValue >

using osmium::index::map::SparseFileArray = typedef VectorBasedSparseMap<TId, TValue, osmium::detail::mmap_vector_file>

template<typename TId , typename TValue >

using osmium::index::map::SparseMemArray = typedef VectorBasedSparseMap<TId, TValue, StdVectorWrap>

template<typename TId , typename TValue >

using osmium::index::map::SparseMmapArray = typedef VectorBasedSparseMap<TId, TValue, osmium::detail::mmap_vector_anon>

template<typename T >

using osmium::index::map::StdVectorWrap = typedef std::vector<T>